GET /nodes/{uuid}/lineage

phylopic.org:phylopic-api

Summary: Retrieves the ancestral lineage for a given node.
Operation ID: getLineage
Auth: unknown
Description

The nodes are listed in order from least to most ancestral. That is, the first node is the specified node, the second is its parent node, and the last is the root node.

Parameters (8)

Accept (string, header, optional)

The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.

build (integer, query, optional)

Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.

embed_childNodes (string, query, optional)

If `"true"`, includes all members of `childNodes` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_parentNode (string, query, optional)

If `"true"`, includes `parentNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_primaryImage (string, query, optional)

If `"true"`, includes `primaryImage` in `_embedded`.

Constraints: {'pattern': '^true$'}

filter_name (string, query, optional)

Limits results to entries matching a given name. The name should be normalized (all lower-case letters or hyphens, no diacritics, single spaces between words). Cannot be used alongside other `filter_*` parameters (except `filter_license_*`).

Constraints: {'pattern': '^([a-z-]+ )*[a-z-]+$'}

page (integer, query, optional)

Specifies a particular page of items to retrieve.

uuid (string, path, required)

The UUID of the entity.

Examples (3)

TitleTypeURLAction
Basic lineage request for a node curl http://phylopic.org/api/nodes/6b8b9f44-5e3d-5a93-b1b5-7e7a8c8d9e0f/lineage
Lineage with embedded parent node and primary image curl http://phylopic.org/api/nodes/6b8b9f44-5e3d-5a93-b1b5-7e7a8c8d9e0f/lineage?embed_parentNode=true&embed_primaryImage=true
Lineage with specific build index and pagination curl http://phylopic.org/api/nodes/6b8b9f44-5e3d-5a93-b1b5-7e7a8c8d9e0f/lineage?build=1&page=0

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:41:00.936178 404 245ms
2026-03-23 10:13:36.816934 404 379ms
2026-03-23 09:35:29.730610 404 198ms